#ifndef POINT_H
#define POINT_H

#include <vector>
using namespace std;

class Point
{
 public:
  Point();
  Point( size_t _nPts );
  Point( double _cX, double _cY );
  Point( vector<double> _coords );
  vector<double> getCoords() { return m_coors; };
  double getX() { return m_coors[0]; };
  double getY() { return m_coors[1]; };
  void setCoords( double _cX, double _cY ) { m_coors[0] = _cX; m_coors[1] = _cY; };

 private:
  vector<double> m_coors;
};

#endif // POINT_H
